/// 图片类型的枚举
enum ImageType {
  // 资源图片
  asset,
  // 网络图片
  network,
  // 本地文件
  file,
}

/// 图片预览的模型
class ImageViewerItem {
  /// 类型
  final ImageType type;

  /// 路径
  final String path;

  ImageViewerItem.asset(this.path) : type = ImageType.asset;

  ImageViewerItem.network(this.path) : type = ImageType.network;

  ImageViewerItem.file(this.path) : type = ImageType.file;
}
